Subject: Re: UIO / of_genirq driver

From: Wolfram Sang <[email-masked]>
Date: Fri, 3 Dec 2010 16:50:31 +0100

> Is there any update on this in the meantime? Do you know of any plans to re-
> work/-push this patchset? Just checking...

I had another look recently; I wouldn't like to just copy/paste the
"new_id"-mechanism from PCI because the code would then exist three
times in the kernel (PCMCIA being the third user I am aware of). I
wondered if it was feasible to make the "new-id"-code generic and make
those subsystems just use it. I haven't started working on it, though.

Kind regards,

   Wolfram

-- 
Pengutronix e.K.                           | Wolfram Sang                |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |